using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class JobData
{
    public JobDescription jobDescription;
    public ZoneData zoneData;
    public int coinFinalReward;
    public float experienceFinalReward;
    public float reputationFinalReward;

    public JobData()
    {
        zoneData = null;
        experienceFinalReward = 0;
        coinFinalReward = 0;
    }
    public JobData(ZoneData zoneData, float expReward, int coinReward)
    {
        this.zoneData = zoneData;
        experienceFinalReward = expReward;
        coinFinalReward = coinReward;
    }
}
